"""
Created on 03.10.2011

@author: christian
"""
import django.contrib.auth.views as auth_views
from django.urls import path

from . import views

urlpatterns = [
    path("", views.MembershipDetail.as_view()),
    path('activate/<str:activation_key>', views.ActivateRegistration.as_view(),
         name='membership-activate-registration'),
    path('activation_sent/', views.ActivationSent.as_view(), name="membership-registration-complete"),
    path('login/', auth_views.LoginView.as_view(), name='login'),
    path('logout/', auth_views.LogoutView.as_view(), name='logout'),
    path('password_change/', auth_views.PasswordChangeView.as_view(), name='password_change'),
    path('password_change/done/', auth_views.PasswordChangeDoneView.as_view(), name='password_change_done'),
    path('password_reset/', auth_views.PasswordResetView.as_view(), name='password_reset'),
    path('password_reset/done/', auth_views.PasswordResetDoneView.as_view(), name='password_reset_done'),
    path('register/', views.RegisterForm.as_view(), name="membership-register"),
    path('reset/<uuid:uidb64>/<str:token>/', auth_views.PasswordResetConfirmView.as_view(),
         name='password_reset_confirm'),
    path('reset/done/', auth_views.PasswordResetCompleteView.as_view(), name='password_reset_complete'),
    path('<slug:username>/', views.MembershipDetail.as_view(), name='membership-details'),
    path('<slug:username>/edit/', views.EditMembership.as_view(), name="membership-edit")
]
